********************************************************************************
*** Analysen zu Buchbeitrag "Was macht den Unterschied? Ein Vergleich von    *** 
*** von Bildungsaufsteigern und Nichtaufsteigern"                            ***
***                                                                          ***
*** UNABHÄNGIGE VARIABLEN (Merkmale der Schulklasse, generiert)              ***
*** Steffen Schindler, 01.03.2019                                            *** 
********************************************************************************

********************************************************************************
*** Kompetenzniveau ************************************************************
********************************************************************************

*** kumulierter Kompetenzscore *************************************************
bys ID_cc3: egen kl_kompscore=mean(kompscore) if ID_cc3!=.
lab var kl_kompscore "Klasse: Kompetenzniveau (generiert)"

*** prozedurale Metakognition **************************************************
bys ID_cc3: egen kl_prozmeta=mean(prozmeta) if ID_cc3!=.
lab var kl_prozmeta "Klasse: Prozedurale Metakognition (generiert)"


********************************************************************************
*** Leistungshomogenität *******************************************************
********************************************************************************

*** kumulierter Kompetenzscore *************************************************
bys ID_cc3: egen kl_kompsd=sd(kompscore) if ID_cc3!=.
lab var kl_kompsd "Klasse: Std.Abw. Kompetenzniveau (generiert)"


********************************************************************************
*** soziale Zusammensetzung ****************************************************
********************************************************************************

*** Migrationshintergrund ******************************************************

*** Anteil Herkunftssprache Eltern nicht deutsch ***
bys ID_cc3: egen kl_esprache=mean(esprache) if ID_cc3!=.
lab var kl_esprache "Klasse: Anteil Elternsprache nicht deutsch (generiert)"

*** Bildungshintergrund ******************************************************

*** Anteil Eltern mit Hochschulabschluss ***
recode bilelt (1 2=0 "kein Hochschulabschluss") (3=1 "Hochschulabschuss") (else=.), into(eltho)
lab var eltho "Eltern mit Hochschulabschluss"
bys ID_cc3: egen kl_eltho=mean(eltho) if ID_cc3!=.
lab var kl_eltho "Klasse: Anteil Eltern mit Hochschulabschluss (generiert)"

*** Aspiration für Abitur ******************************************************

*** Anteil Eltern mit Aspiration für Abitur ***
bys ID_cc3: egen kl_aspabi=mean(aspabi) if ID_cc3!=.
lab var kl_aspabi "Klasse: Anteil Eltern mit Aspiration für Abitur (generiert)"







