********************************************************************************
*** Analysen zu Buchbeitrag "Was macht den Unterschied? Ein Vergleich von    *** 
*** von Bildungsaufsteigern und Nichtaufsteigern"                            ***
***                                                                          ***
*** UNABHÄNGIGE VARIABLEN (Angaben des Kindes)                               ***
*** Steffen Schindler, 01.03.2019                                            *** 
********************************************************************************


********************************************************************************
*** Persönlichkeitsmerkmale ****************************************************
********************************************************************************

*** Big Five *******************************************************************
* Welle 5 (2015)
foreach var of varlist e66800e_g1 e66800d_g1 e66800c_g1 e66800b_g1 e66800a_g1{
   replace `var'=. if `var'<0 | wave!=5
   }
ren e66800e_g1 b5_neuro
ren e66800d_g1 b5_offen
ren e66800c_g1 b5_vertr
ren e66800b_g1 b5_gewis
ren e66800a_g1 b5_extra 
foreach var of varlist b5_neuro b5_offen b5_vertr b5_gewis b5_extra{    
   bys ID_t: egen temp=max(`var')
   replace `var'=temp
   drop temp
   }
   
*** Lernfreude *****************************************************************
* Ich gehe gern in die Schule, Mir macht Schule Spaß, Ich habe viel Freude am Lernen
* Erstellung Score: Aufaddieren der kumulativen Häufigkeiten der jeweils individuell vorliegenden Kategorien
* aus Mittelwert Wellen 5+6 (2015/2016)
foreach var of varlist tc00020 tc00060 tc00100{
   replace `var'=. if `var'<1 | !inlist(wave,5,6)
   bys ID_t: egen `var'_m=mean(`var')
   levelsof `var'_m, local(lev)
   gen `var'_cum=.
   foreach num of local lev{
      tab `var'_m if wave==6
	  local n=r(N)
	  tab `var'_m if wave==6 & `var'_m<=`num'
	  local m=r(N)
	  replace `var'_cum=`m'/`n' if `var'_m==`num'
	  }
   }
egen lernfreu=rowmean(tc00020_cum tc00060_cum tc00100_cum)
bys ID_t: egen temp=max(lernfreu)
replace lernfreu=temp
drop temp
lab var lernfreu "Score Lernfreude"

*** Anstrengungsbereitschaft ***************************************************
* Ich gehe sorgfältig mit Arbeitsmaterialien um, erledige Aufgaben mit Sorgfalt, gebe schnell auf, strenge mich an
* Erstellung Score: Aufaddieren der kumulativen Häufigkeiten der jeweils individuell vorliegenden Kategorien
* aus Mittelwert Wellen 5+6 (2015/2016)
* umgepoltes Item umkodieren:
recode tc00110 1=4 2=3 3=2 4=1
foreach var of varlist tc00030 tc00070 tc00110 tc00130{
   replace `var'=. if `var'<1 | !inlist(wave,5,6)
   bys ID_t: egen `var'_m=mean(`var')
   levelsof `var'_m, local(lev)
   gen `var'_cum=.
   foreach num of local lev{
      tab `var'_m if wave==6
	  local n=r(N)
	  tab `var'_m if wave==6 & `var'_m<=`num'
	  local m=r(N)
	  replace `var'_cum=`m'/`n' if `var'_m==`num'
	  }
   }
egen anstreng=rowmean(tc00030_cum tc00070_cum tc00110_cum tc00130_cum)
bys ID_t: egen temp=max(anstreng)
replace anstreng=temp
drop temp
lab var anstreng "Score Anstrengungsbereitschaft"


********************************************************************************
*** Kulturelle Ressourcen ******************************************************
********************************************************************************

*** Kenntnisse bekannter Kinderbücher ***
* gelesen-gehört-gesehen
* einfacher Summenscore
* Welle 6 (2016)

gen buchkenn=0 if wave==6
foreach var of varlist t34110a t34110d t34110i t34110j t34110k t34110l t34110n t34110o t34110p{
   replace buchkenn=buchkenn+1 if `var'==1 & wave==6
   }
bys ID_t: egen temp=max(buchkenn)
replace buchkenn=temp
drop temp
lab var buchkenn "Kenntnisse Kinderbücher (Kind W6)"


********************************************************************************
*** Soziale Ressourcen *********************************************************
********************************************************************************

*** Eltern-Kind-Beziehungen ****************************************************

*** Parental Monitoring ***
* Meine Eltern achten sehr darauf, dass ich ...
* Dimensionen: Hausaufgaben, Fernsehen, Hausaufgabenzeit, Lesen, Computer/Fernsehen, Art Computer, Art Fernsehen 
* Erstellung Score: Aufaddieren der kumulativen Häufigkeiten der jeweils individuell vorliegenden Kategorien
* Welle 6 (2016)
foreach var of varlist tc0902a tc0902b tc0902c tc0902d tc0902e tc0902f tc0902g{
   replace `var'=. if `var'<1
   gen `var'_cum=.
   foreach num of numlist 1/4{
      tab `var' if wave==6
	  local n=r(N)
	  tab `var' if wave==6 & `var'<=`num'
	  local m=r(N)
	  replace `var'_cum=`m'/`n' if `var'==`num'
	  }
   } 
egen monitor_k=rowmean(tc0902a_cum tc0902b_cum tc0902c_cum tc0902d_cum tc0902e_cum tc0902f_cum tc0902g_cum)
bys ID_t: egen temp=max(monitor_k)
replace monitor_k=temp
drop temp
lab var monitor_k "Score parental monitoring (Kind W6)"


********************************************************************************
*** Schulleistungen ************************************************************
********************************************************************************

*** Noten **********************************************************************
* Note des letzen Jahreszeugnis (Ende Grundschule)
* Welle 7 (2017)

*** Durchschnittsnote Deutsch/Mathematik ***
replace t724101=. if t724101<1 | wave!=7
replace t724102=. if t724102<1 | wave!=7
egen note=rowmean(t724101 t724102) if wave==7
bys ID_t: egen temp=max(note)
replace note=temp
drop temp
lab var note "Durchschnittsnote Deutsch/Mathematik Ende Grundschule (Kind W7)"


exit
